Class Specialization
Alphabet Expansion
Modifier that adds a character to an alphabet.
ModifiedAlphabet<TAlphabet, ModExpand<CHAR [,TSpec]> >
Include Headers
seqan/modifier.h
Parameters

TAlphabet | Original value type.

CHAR

char character that specifies, what value should added to the alphabet.
Remarks: CHAR should not be a char that already stands for a value in TAlphabet. For example, do not use 'A' or 'a' as CHAR when expanding Dna.
Some values of CHAR have special meaning:

'-' | A gap character. The value in the expanded alphabet that corresponds to '-' will be returned by the gapValue.
'\' | An end of string character.

TSpec | Optional specialization tag. Default: Default Remarks: This modifier is intended to expand SimpleType classes.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50